=== debian/changelog ===
ros-foxy-stereo-image-proc (2.3.0-1focal) focal; urgency=high

  * Add missing test dependency
  * Add color param to stereo_image_proc (#661 <https://github.com/ros-perception/image_pipeline/issues/661>)
    * Add color param to point cloud node in stereo_image_proc
    * Add test for point cloud node with color disabled
    * Fix style issues
    * Rename test node
    * Remove repeated line
  * fix for stereo_image_proc_tests
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Add disparity node parameters to launch file
    This makes the launch file more flexible for including in other launch files.
  * Fix disparity node parameter name
    Rename the parameter 'texture_ratio' to 'texture_threshold'.
    The parameter was incorrectly named during the port from ROS 1 to ROS 2.
  * Expose avoid_point_cloud_padding parameter in stereo_image_proc launch file (#599 <https://github.com/ros-perception/image_pipeline/issues/599>)
  * Refactor image_proc and stereo_image_proc launch files (#583 <https://github.com/ros-perception/image_pipeline/issues/583>)
    * Allow passing container name to image_proc launch file
    If a container name is provided, then load the image_proc nodes
    into that container. Otherwise, launch a container to load the nodes into.
    * Include the image_proc launch file in the stereo_image_proc launch file
    This resolves a TODO, making the launch file have similar behavior as the version from ROS 1.
    Also expose a new launch argument for optionally providing a container (similar to image_proc's launch file).
    * Minor refactor to stereo_image_proc launch file
    * Fix lint errors
    Removing vestigial imports.
    * Rename namespace launch arguments
    * Make image_proc nodes optional
    Default to launching the image_proc nodes.
    * Remap topics from stereo nodes based on namespace arguments
  * Contributors: Jacob Perron, Patrick Musau, Rebecca Butler

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 04 Dec 2022 08:00:00 -0000

ros-foxy-stereo-image-proc (2.2.1-1focal) focal; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Refactor stereo_image_proc tests (#588 <https://github.com/ros-perception/image_pipeline/issues/588>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Jacob Perron, Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 07:00:00 -0000

ros-foxy-stereo-image-proc (2.2.0-1focal) focal; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Jacob Perron, Joshua Whitley
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 07:00:00 -0000

ros-foxy-stereo-image-proc (1.12.23-1focal) focal; urgency=high

  * Removed unused mutable scratch buffers (#315 <https://github.com/ros-perception/image_pipeline/issues/315>)
    The uint32_t buffers conflicted with newer release of OpenCV3, as explained here https://github.com/ros-perception/image_pipeline/issues/310
  * Contributors: Miquel Massot

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 07:00:00 -0000

ros-foxy-stereo-image-proc (1.12.22-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 08:00:00 -0000

ros-foxy-stereo-image-proc (1.12.21-1focal) focal; urgency=high

  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Mike Purvis, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 07:00:00 -0000

ros-foxy-stereo-image-proc (1.12.20-1focal) focal; urgency=high

  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 07:00:00 -0000

ros-foxy-stereo-image-proc (1.12.19-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 07:00:00 -0000

ros-foxy-stereo-image-proc (1.12.18-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 07:00:00 -0000

ros-foxy-stereo-image-proc (1.12.17-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 07:00:00 -0000

ros-foxy-stereo-image-proc (1.12.16-1focal) focal; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 07:00:00 -0000

ros-foxy-stereo-image-proc (1.12.15-1focal) focal; urgency=high

  * simplify OpenCV3 conversion
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 08:00:00 -0000


