=== debian/control ===
Source: ros-foxy-stereo-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-opencv <!nocheck>, ros-foxy-ament-cmake-auto, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-cv-bridge, ros-foxy-image-geometry, ros-foxy-image-proc, ros-foxy-image-transport, ros-foxy-launch <!nocheck>, ros-foxy-launch-ros <!nocheck>, ros-foxy-launch-testing <!nocheck>, ros-foxy-launch-testing-ament-cmake <!nocheck>, ros-foxy-message-filters, ros-foxy-python-cmake-module <!nocheck>, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclpy <!nocheck>, ros-foxy-ros-testing <!nocheck>, ros-foxy-sensor-msgs, ros-foxy-stereo-msgs, ros-foxy-ros-workspace
Homepage: https://index.ros.org/p/stereo_image_proc/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-foxy-stereo-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-cv-bridge, ros-foxy-image-geometry, ros-foxy-image-proc, ros-foxy-image-transport, ros-foxy-message-filters, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-stereo-msgs, ros-foxy-ros-workspace
Description: Stereo and single image rectification and disparity processing.
